<?php

declare(strict_types=1);

namespace Dedi\SyliusCmsPlugin\Form\Type\UiElement;

use MonsieurBiz\SyliusRichEditorPlugin\Form\Type\UiElement\ImageType;
use MonsieurBiz\SyliusRichEditorPlugin\Form\Type\UiElement\TextType;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\CheckboxType;
use Symfony\Component\Form\FormBuilderInterface;

class TextAndImageType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('image', ImageType::class, [
                'label' => false
            ])
            ->add('text', TextType::class, [
                'label' => false
            ])
            ->add('imageBeforeText', CheckboxType::class, [
                'label' => 'dedi_cms.ui_element.text_and_image.is_image_before_text',
                'required' => false,
            ])
        ;
    }
}
